---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Currencies
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>URI

<b>Note:</b> We plan to retire the Currencies APIs in the Common v1 REST service in March 2023. Workday recommends that you use the Currencies APIs in the new Core Accounting v1 REST service instead.

A collection of currencies:

```
/currencies
```

<a id="refsyn_N1003A_N10016_N10001"></a>
An individual currency:

```
/currencies/{id}
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Reference to a currency. Example: Currency WID.</td></tr></tbody></table><br/>

## <a id="section_N1006C_N10016_N10001"></a>Description

Currencies resource represents currencies in Workday. You can only view the currencies and currency information allowed by the security profile of the current user.

Currencies support these methods:

-   [GET Currencies](/wcp_docs/dan1370797987238.html#GET)


## <a id="GET"></a>GET Currencies

-   <b>Secured by:</b>

    Core Navigation



No request body required or available for this method. When retrieving a collection, use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Max</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection.</td><td>0</td><td> </td></tr></tbody></table><br/>

Response body is in JSON format.

## <a id="section_N10106_N10016_N10001"></a>GET Currencies Examples

This GET request retrieves all the currencies available to the current user:

```
GET /currencies
```

The response is a collection of currencies, in JSON format (Workday displays only 1 currency in the response):

```
  "total": 210,
   "data":    [
            {
         "descriptor": "ADF",
         "id": "0e63f0db520c4d99b2f734fdb257dad5",
         "href": "https://{Workday REST API Endpoint}/currencies/0e63f0db520c4d99b2f734fdb257dad5",
         "code": "ADF",
         "precision": 2
      },
    ...
  ]
}
```

This request retrieves information about the Euro (id=eae312fc5152410cb4c8b452c26320a6).

```
GET /currencies/eae312fc5152410cb4c8b452c26320a6
```

The response body:

```
{
   "descriptor": "EUR",
   "id": "eae312fc5152410cb4c8b452c26320a6",
   "href": "https://{Workday REST API Endpoint}/currencies/eae312fc5152410cb4c8b452c26320a6",
   "code": "EUR",
   "precision": 2
}
       
```

